## org.codehaus.groovy.grails.webflow.persistence
Class SessionAwareHibernateFlowExecutionListener

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionListenerAdapter
          org.springframework.webflow.persistence.HibernateFlowExecutionListener
              org.codehaus.groovy.grails.webflow.persistence.SessionAwareHibernateFlowExecutionListener

All Implemented Interfaces:
  org.springframework.webflow.execution.FlowExecutionListener

    public class SessionAwareHibernateFlowExecutionListener

extends org.springframework.webflow.persistence.HibernateFlowExecutionListener

Extends the HibernateFlowExecutionListener and doesn't bind a session if one is already present

Since:
  1.0

  Created: Feb 12, 2008
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.webflow.persistence.HibernateFlowExecutionListener
`PERSISTENCE_CONTEXT_ATTRIBUTE`

Constructor Summary
`SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory, PlatformTransactionManager transactionManager)` Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

Method Summary
`void` `resuming(org.springframework.webflow.execution.RequestContext context)`
`void` `sessionEnded(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, String outcome, org.springframework.webflow.core.collection.AttributeMap output)`
`void` `sessionStarting(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, org.springframework.webflow.core.collection.MutableAttributeMap input)`

Methods inherited from class org.springframework.webflow.persistence.HibernateFlowExecutionListener
`exceptionThrown, paused, setEntityInterceptor`

Methods inherited from class org.springframework.webflow.execution.FlowExecutionListenerAdapter
`eventSignaled, requestProcessed, requestSubmitted, sessionCreating, sessionEnding, sessionStarted, stateEntered, stateEntering, transitionExecuting, viewRendered, viewRendering`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionAwareHibernateFlowExecutionListener

    public SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory,
                                                      PlatformTransactionManager transactionManager)

  Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

  Parameters:
    `sessionFactory` - the session factory to use
    `transactionManager` - the transaction manager to drive transactions

Method Detail

### sessionStarting

    public void sessionStarting(org.springframework.webflow.execution.RequestContext context,
                                org.springframework.webflow.execution.FlowSession session,
                                org.springframework.webflow.core.collection.MutableAttributeMap input)

  Specified by:
    `sessionStarting` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `sessionStarting` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

### sessionEnded

    public void sessionEnded(org.springframework.webflow.execution.RequestContext context,
                             org.springframework.webflow.execution.FlowSession session,
                             String outcome,
                             org.springframework.webflow.core.collection.AttributeMap output)

  Specified by:
    `sessionEnded` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `sessionEnded` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

### resuming

    public void resuming(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `resuming` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `resuming` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

Copyright (c) 2005-2009 The Grails project